/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#include "incs.h"
#include "nghds.h"
#include "markers.h"
#include "rans.h"
#include "msample.h"

#define PMEIO 0.5
#define PIND 0.5
#define PSIB 0.
#define P3GEN 0.

/* The following are the functions defined by Liping, Jul 10, 2005 */

double  fwd_compute2 (int, int, int, double *, int *, double *, double *, double *);
void    back_sample2 (int, int, int, int *, double *, int *, double *, int *);
void    fwd_compute3 (int, int, double *, int *, int *, double *, double *, double *);
int     back_sample3 (int, int, int, int, double *, int *, int *, double *);
void    fwd_compute4 (int, int, int, double *, int *, int *, double *, double *, double *);
int     back_sample4 (int, int, int, int, int, double *, int *, int *, double *);

void    biadd (int *, int m, int n);
double  probtrans (int *, int *, int, double *, int *);
long    int pow2 (int);
void    forward (int, int, double **, double **, double *, int *);
void    backward (int, int, double **, double **, double *, int *);
double  logsum (double, double);

void    do_msmpl2 (int, int, int, int, int *, int *, double **, int);
void    sampling2 (int, int, int, int, int, double **);
int     imin (int, int);

void    update_meiosis (int *, int, int, int, double **, int);
void    update_individual (int *, int, int, int, double **, int);
void    update_sibs (int *, int, int, int, double **, int);
void    update_hmm_sibs(int *, int, int, int, double **, int);
void    update_3generation (int *, int, int, int, double **, int);
void    update_hmm_3generation (int *, int, int, int, double **, int);
void    update_8family (int *, int, int, int, double **, int);

void    obtain_meiosis (int);
void    free_obtain_meiosis (void);
void    change_meiosis(int, int, int, int *, int *, int);
double  find_ptemp(int, int, int, int, int, int *, int *, double **, int, int);

/* end of Liping's programs */

