/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
 "allow component size  I"                                                                      ,/*H05*/
 "allow observed individuals  I"                                                                ,/*H04*/
 "allow pedigree size  I"                                                                       ,/*H03*/
 "assign gender"                                                                                ,/*H01*/
 "assume all observed"                                                                          ,/*H02*/
 "check eigenvalues"                                                                            ,/*Y06*/
 "check eigenvalue computation"                                                                 ,/*Y08*/
 "check ginverse"                                                                               ,/*Y05*/
 "check gmatrix"                                                                                ,/*Y04*/
 "check progress MC iterations  I"                                                              ,/*X01*/
 "check trace"                                                                                  ,/*Y07*/
 "compute component  J  inbreeding coefficients  N1 N2 ..."                                     ,/*A02*/
 "compute component  J  kinship coefficients  N1A N1B  N2A N2B ..."                             ,/*A01*/
 "compute component  J  two-locus inbreeding coefficients  N1 ..."                              ,/*A03*/
 "compute eigenvalues"                                                                          ,/*T02*/
 "compute inbreeding coefficients  N1 N2 ..."                                                   ,/*A02*/
 "compute kinship coefficients  N1A N1B  N2A N2B ..."                                           ,/*A01*/
 "compute scores every  I  iterations"                                                          ,/*V10*/
 "compute two-locus inbreeding coefficients  N1 ..."                                            ,/*A03*/
 "display"                                                                                      ,/*Z01*/
 "display component  J  individuals  N1 ..."                                                    ,/*Z02*/
 "display every  I  iterations"                                                                 ,/*Z03*/
 "display individuals  N1 ..."                                                                  ,/*Z02*/
 "display labels"                                                                               ,/*Z01*/
 "display segregations"                                                                         ,/*Z01*/
 "fit additive correlations  K12 ..."                                                           ,/*L07*/
 "fit additive covariances  K12 ..."                                                            ,/*L07*/
 "fit environmental model"                                                                      ,/*L09*/
 "fit residual correlations  K12 ..."                                                           ,/*L08*/
 "fit residual covariances  K12 ..."                                                            ,/*L08*/
 "ignore gender"                                                                                ,/*H01*/
 "input eigenvalue file  S"                                                                     ,/*B05*/
 "input marker data file  S"                                                                    ,/*B03*/
 "input pedigree file  S"                                                                       ,/*B01*/
 "input pedigree record father mother"                                                          ,/*D08*/
 "input pedigree record gender absent"                                                          ,/*D09*/
 "input pedigree record gender present"                                                         ,/*D09*/
 "input pedigree record integers  J"                                                            ,/*A00*/
 "input pedigree record integers  J  reals  K"                                                  ,/*A00*/
 "input pedigree record mother father"                                                          ,/*D08*/
 "input pedigree record names  I"                                                               ,/*D01*/
 "input pedigree record names  I  integers  J"                                                  ,/*D02*/
 "input pedigree record names  I  integers  J  reals  K"                                        ,/*D04*/
 "input pedigree record names  I  reals  K"                                                     ,/*D03*/
 "input pedigree record observed absent"                                                        ,/*D10*/
 "input pedigree record observed present"                                                       ,/*D10*/
 "input pedigree record traits K1 K2 ...  integers I1 I2 ..."                                   ,/*D11*/
 "input pedigree record traits K1 K2 ...  integer pairs I11 I12  I21 I22 ..."                   ,/*D12*/
 "input pedigree record traits K1 K2 ...  reals I1 I2 ..."                                      ,/*D13*/
 "input pedigree size  I"                                                                       ,/*D07*/
 "input peeling sequence file  S"                                                               ,/*B06*/
 "input rescue file  S"                                                                         ,/*B07*/
 "input seed file  S"                                                                           ,/*B02*/
 "limit breeding iterations  I"                                                                 ,/*T03*/
 "limit EM iterations  I"                                                                       ,/*T06*/
 "map chromosome  I  gender F  marker distances  X1 ..."                                        ,/*J01*/
 "map chromosome  I  gender F  marker Kosambi distances  X1 ..."                                ,/*J01*/
 "map chromosome  I  gender F  marker Kosambi positions  X1 ..."                                ,/*J01*/
 "map chromosome  I  gender F  marker positions  X1 ..."                                        ,/*J01*/
 "map chromosome  I  gender F  marker recombination fractions  X1 ..."                          ,/*J01*/
 "map chromosome  I  gender F  trait  J  all interval proportions  X1 ..."                      ,/*J03*/
 "map chromosome  I  gender F  trait  J  beginning distances  X1 ..."                           ,/*J05*/
 "map chromosome  I  gender F  trait  J  beginning Kosambi distances  X1 ..."                   ,/*J05*/
 "map chromosome  I  gender F  trait  J  beginning recombination fractions  X1 ..."             ,/*J05*/
 "map chromosome  I  gender F  trait  J  ending distances  X1 ..."                              ,/*J05*/
 "map chromosome  I  gender F  trait  J  ending Kosambi distances  X1 ..."                      ,/*J05*/
 "map chromosome  I  gender F  trait  J  ending recombination fractions  X1 ..."                ,/*J05*/
 "map chromosome  I  gender F  trait  J  external distances  X1 ..."                            ,/*J05*/
 "map chromosome  I  gender F  trait  J  external Kosambi distances  X1 ..."                    ,/*J05*/
 "map chromosome  I  gender F  trait  J  external recombination fractions  X1 ..."              ,/*J05*/
 "map chromosome  I  gender F  trait  J  intervals  K1 ...  proportions  X1 ..."                ,/*J04*/
 "map chromosome  I  gender F  traits  J1 ...  markers  K1 ...  distances  X1 ..."              ,/*J02*/
 "map chromosome  I  gender F  traits  J1 ...  markers  K1 ...  Kosambi distances  X1 ..."      ,/*J02*/
 "map chromosome  I  gender F  traits  J1 ...  markers  K1 ...  recombination fractions  X1 ...",/*J02*/
 "map chromosome  I  gender M  marker distances  X1 ..."                                        ,/*J01*/
 "map chromosome  I  gender M  marker Kosambi distances  X1 ..."                                ,/*J01*/
 "map chromosome  I  gender M  marker Kosambi positions  X1 ..."                                ,/*J01*/
 "map chromosome  I  gender M  marker positions  X1 ..."                                        ,/*J01*/
 "map chromosome  I  gender M  marker recombination fractions  X1 ..."                          ,/*J01*/
 "map chromosome  I  gender M  trait  J  all interval proportions  X1 ..."                      ,/*J03*/
 "map chromosome  I  gender M  trait  J  beginning distances  X1 ..."                           ,/*J05*/
 "map chromosome  I  gender M  trait  J  beginning Kosambi distances  X1 ..."                   ,/*J05*/
 "map chromosome  I  gender M  trait  J  beginning recombination fractions  X1 ..."             ,/*J05*/
 "map chromosome  I  gender M  trait  J  ending distances  X1 ..."                              ,/*J05*/
 "map chromosome  I  gender M  trait  J  ending Kosambi distances  X1 ..."                      ,/*J05*/
 "map chromosome  I  gender M  trait  J  ending recombination fractions  X1 ..."                ,/*J05*/
 "map chromosome  I  gender M  trait  J  external distances  X1 ..."                            ,/*J05*/
 "map chromosome  I  gender M  trait  J  external Kosambi distances  X1 ..."                    ,/*J05*/
 "map chromosome  I  gender M  trait  J  external recombination fractions  X1 ..."              ,/*J05*/
 "map chromosome  I  gender M  trait  J  intervals   K1 ...  proportions  X1 ..."               ,/*J04*/
 "map chromosome  I  gender M  traits  J1 ...  markers  K1 ...  distances  X1 ..."              ,/*J02*/
 "map chromosome  I  gender M  traits  J1 ...  markers  K1 ...  Kosambi distances  X1 ..."      ,/*J02*/
 "map chromosome  I  gender M  traits  J1 ...  markers  K1 ...  recombination fractions  X1 ...",/*J02*/
 "map chromosome  I  marker distances  X1 ..."                                                  ,/*J01*/
 "map chromosome  I  marker Kosambi distances  X1 ..."                                          ,/*J01*/
 "map chromosome  I  marker Kosambi positions  X1 ..."                                          ,/*J01*/
 "map chromosome  I  marker positions  X1 ..."                                                  ,/*J01*/
 "map chromosome  I  marker recombination fractions  X1 ..."                                    ,/*J01*/
 "map chromosome  I  trait  J  all interval proportions  X1 ..."                                ,/*J03*/
 "map chromosome  I  trait  J  beginning distances  X1 ..."                                     ,/*J05*/
 "map chromosome  I  trait  J  beginning Kosambi distances  X1 ..."                             ,/*J05*/
 "map chromosome  I  trait  J  beginning recombination fractions  X1 ..."                       ,/*J05*/
 "map chromosome  I  trait  J  ending distances  X1 ...  "                                      ,/*J05*/
 "map chromosome  I  trait  J  ending Kosambi distances  X1 ...  "                              ,/*J05*/
 "map chromosome  I  trait  J  ending recombination fractions  X1 ..."                          ,/*J05*/
 "map chromosome  I  trait  J  external distances  X1 ..."                                      ,/*J05*/
 "map chromosome  I  trait  J  external Kosambi distances  X1 ..."                              ,/*J05*/
 "map chromosome  I  trait  J  external recombination fractions  X1 ..."                        ,/*J05*/
 "map chromosome  I  trait  J  intervals  K1 ...  proportions  X1 ..."                          ,/*J04*/
 "map chromosome  I  traits  J1 ...  markers  K1 ...  distances  X1 ..."                        ,/*J02*/
 "map chromosome  I  traits  J1 ...  markers  K1 ...  Kosambi distances  X1 ..."                ,/*J02*/
 "map chromosome  I  traits  J1 ...  markers  K1 ...  recombination fractions  X1 ..."          ,/*J02*/
 "map gender F  marker distances  X1 ..."                                                       ,/*J01*/
 "map gender F  marker Kosambi distances  X1 ..."                                               ,/*J01*/
 "map gender F  marker Kosambi positions  X1 ..."                                               ,/*J01*/
 "map gender F  marker positions  X1 ..."                                                       ,/*J01*/
 "map gender F  marker recombination fractions  X1 ..."                                         ,/*J01*/
 "map gender F  trait  J  all interval proportions  X1 ..."                                     ,/*J03*/
 "map gender F  trait  J  beginning distances  X1 ..."                                          ,/*J05*/
 "map gender F  trait  J  beginning Kosambi distances  X1 ..."                                  ,/*J05*/
 "map gender F  trait  J  beginning recombination fractions  X1 ..."                            ,/*J05*/
 "map gender F  trait  J  ending distances  X1 ..."                                             ,/*J05*/
 "map gender F  trait  J  ending Kosambi distances  X1 ..."                                     ,/*J05*/
 "map gender F  trait  J  ending recombination fractions  X1 ..."                               ,/*J05*/
 "map gender F  trait  J  external distances  X1 ..."                                           ,/*J05*/
 "map gender F  trait  J  external Kosambi distances  X1 ..."                                   ,/*J05*/
 "map gender F  trait  J  external recombination fractions  X1 ..."                             ,/*J05*/
 "map gender F  trait  J  intervals  K1 ...  proportions  X1 ..."                               ,/*J04*/
 "map gender F  traits  J1 ...  markers  K1 ...  distances  X1 ..."                             ,/*J02*/
 "map gender F  traits  J1 ...  markers  K1 ...  Kosambi distances  X1 ..."                     ,/*J02*/
 "map gender F  traits  J1 ...  markers  K1 ...  recombination fractions  X1 ..."               ,/*J02*/
 "map gender M  marker distances  X1 ..."                                                       ,/*J01*/
 "map gender M  marker Kosambi distances  X1 ..."                                               ,/*J01*/
 "map gender M  marker Kosambi positions  X1 ..."                                               ,/*J01*/
 "map gender M  marker positions  X1 ..."                                                       ,/*J01*/
 "map gender M  marker recombination fractions  X1 ..."                                         ,/*J01*/
 "map gender M  trait  J  all interval proportions  X1 ..."                                     ,/*J03*/
 "map gender M  trait  J  beginning distances  X1 ..."                                          ,/*J05*/
 "map gender M  trait  J  beginning Kosambi distances  X1 ..."                                  ,/*J05*/
 "map gender M  trait  J  beginning recombination fractions  X1 ..."                            ,/*J05*/
 "map gender M  trait  J  ending distances  X1 ..."                                             ,/*J05*/
 "map gender M  trait  J  ending Kosambi distances  X1 ..."                                     ,/*J05*/
 "map gender M  trait  J  ending recombination fractions  X1 ..."                               ,/*J05*/
 "map gender M  trait  J  external distances  X1 ..."                                           ,/*J05*/
 "map gender M  trait  J  external Kosambi distances  X1 ..."                                   ,/*J05*/
 "map gender M  trait  J  external recombination fractions  X1 ..."                             ,/*J05*/
 "map gender M  trait  J  intervals  K1 ...  proportions  X1 ..."                               ,/*J04*/
 "map gender M  traits  J1 ...  markers  K1 ...  distances  X1 ..."                             ,/*J02*/
 "map gender M  traits  J1 ...  markers  K1 ...  Kosambi distances  X1 ..."                     ,/*J02*/
 "map gender M  traits  J1 ...  markers  K1 ...  recombination fractions  X1 ..."               ,/*J02*/
 "map marker distances  X1 ..."                                                                 ,/*J01*/
 "map marker Kosambi distances  X1 ..."                                                         ,/*J01*/
 "map marker Kosambi positions  X1 ..."                                                         ,/*J01*/
 "map marker positions  X1 ..."                                                                 ,/*J01*/
 "map marker recombination fractions  X1 ..."                                                   ,/*J01*/
 "map trait  J  all interval proportions  X1 ..."                                               ,/*J03*/
 "map trait  J  beginning distances  X1 ..."                                                    ,/*J05*/
 "map trait  J  beginning Kosambi distances  X1 ..."                                            ,/*J05*/
 "map trait  J  beginning recombination fractions  X1 ..."                                      ,/*J05*/
 "map trait  J  ending distances  X1 ..."                                                       ,/*J05*/
 "map trait  J  ending Kosambi distances  X1 ..."                                               ,/*J05*/
 "map trait  J  ending recombination fractions  X1 ..."                                         ,/*J05*/
 "map trait  J  external distances  X1 ..."                                                     ,/*J05*/
 "map trait  J  external Kosambi distances  X1 ..."                                             ,/*J05*/
 "map trait  J  external recombination fractions  X1 ..."                                       ,/*J05*/
 "map trait  J  intervals  K1 ...  proportions  X1 ..."                                         ,/*J04*/
 "map traits  J1 ...  markers  K1 ...  distances  X1 ..."                                       ,/*J02*/
 "map traits  J1 ...  markers  K1 ...  Kosambi distances  X1 ..."                               ,/*J02*/
 "map traits  J1 ...  markers  K1 ...  recombination fractions  X1 ..."                         ,/*J02*/
 "output final adjusted phenotypes"                                                             ,/*Y02*/
 "output marker seeds only"                                                                     ,/*F01*/
 "output overwrite pedigree file"                                                               ,/*C06*/
 "output overwrite seed file"                                                                   ,/*C07*/
 "output pedigree chronological"                                                                ,/*E01*/
 "output pedigree file  S"                                                                      ,/*C01*/
 "output pedigree record father mother"                                                         ,/*E02*/
 "output pedigree record founder gene labels"                                                   ,/*E03*/
 "output pedigree record mother father"                                                         ,/*E02*/
 "output pedigree record trait latent variables"                                                ,/*E04*/
 "output pedigree record unobserved variables"                                                  ,/*E05*/
 "output permutation seeds only"                                                                ,/*F02*/
 "output rao-blackwellized estimates file  S"                                                   ,/*C04*/
 "output rescue file  S"                                                                        ,/*C05*/
 "output sampler seeds only"                                                                    ,/*F02*/
 "output scores data MC iterations  I"                                                          ,/*G01*/
 "output scores file  S"                                                                        ,/*C03*/
 "output seed file  S"                                                                          ,/*C02*/
 "output spacing  I  EM iterations"                                                             ,/*Y03*/
 "output statistics correlations"                                                               ,/*Y01*/
 "output statistics covariances"                                                                ,/*Y01*/
 "output trait seeds only"                                                                      ,/*F01*/
 "sample by scan"                                                                               ,/*V01*/
 "sample by step"                                                                               ,/*V01*/
 "select all markers"                                                                           ,/*A09*/
 "select all markers  traits K"                                                                 ,/*A11*/
 "select chromosome  I  all markers"                                                            ,/*A09*/
 "select chromosome  I  all markers  traits  K"                                                 ,/*A11*/
 "select chromosome  I  markers  J1 J2"                                                         ,/*A10*/
 "select chromosome  I  markers  J1 J2 ...  traits  K"                                          ,/*A12*/
 "select markers  J1 J2 ..."                                                                    ,/*A10*/
 "select markers  J1 J2 ...  traits  K"                                                         ,/*A12*/
 "select trait  I"                                                                              ,/*A15*/
 "select trait  I  effects  J1 ..."                                                             ,/*A10*/
 "select unlinked null locus"                                                                   ,/*A14*/
 "select unlinked traits  K1 ..."                                                               ,/*A13*/
 "set affected individuals  N1 N2 ..."                                                          ,/*N02*/
 "set affected individuals  trait K"                                                            ,/*N01*/
 "set breeding convergence  X"                                                                  ,/*T04*/
 "set burn-in iterations  I"                                                                    ,/*V05*/
 "set chromosome  I  locus window  J"                                                           ,/*Q04*/
 "set chromosome  I  markers  J  data  N1  M1 M2 ..."                                           ,/*P01*/
 "set chromosome  I  markers  K1 ...  frequencies  X1 ... "                                     ,/*K01*/
 "set chromosome  I  marker names  N1 N2 ..."                                                   ,/*W01*/
 "set component  J  affected individuals  N1 N2 ..."                                            ,/*N02*/
 "set component  J  proband gametes  N1 K1  N2 K2 ..."                                          ,/*Q02*/
 "set component  J  scoreset  K  proband gametes  N1 K1  N2 K2 ..."                             ,/*Q02*/
 "set component  J  scoreset  K  window patterns  L1 ..."                                       ,/*Q03*/
 "set component  J  unaffected individuals  N1 N2 ..."                                          ,/*N03*/
 "set component  J  window patterns  L1 ..."                                                    ,/*Q03*/
 "set debugging cmf"                                                                            ,/*Z81*/
 "set debugging gldisp"                                                                         ,/*Z82*/
 "set debugging main"                                                                           ,/*Z80*/
 "set debugging markers"                                                                        ,/*Z83*/
 "set debugging nghds"                                                                          ,/*Z84*/
 "set debugging pars"                                                                           ,/*Z85*/
 "set debugging pedchk"                                                                         ,/*Z86*/
 "set debugging peel"                                                                           ,/*Z87*/
 "set debugging quant"                                                                          ,/*Z88*/
 "set debugging rans"                                                                           ,/*Z89*/
 "set debugging sample"                                                                         ,/*Z90*/
 "set debugging stuff"                                                                          ,/*Z91*/
 "set eigenvalues  X1 ..."                                                                      ,/*T01*/
 "set incomplete penetrances  X1 X2 X3"                                                         ,/*V11*/
 "set L-sampler probability  X"                                                                 ,/*V03*/
 "set locus window  J"                                                                          ,/*Q04*/
 "set markers  J  data  N1  M1 M2 ..."                                                          ,/*P01*/
 "set markers  K1 ...  frequencies  X1 ..."                                                     ,/*K01*/
 "set marker names  N1 N2 ..."                                                                  ,/*W01*/
 "set marker seeds  H1  H2"                                                                     ,/*M01*/
 "set MC iterations  I"                                                                         ,/*V09*/
 "set normalized frequencies"                                                                   ,/*K03*/
 "set peeling sequence  X1 ..."                                                                 ,/*A00*/
 "set permutation seeds  H1  H2"                                                                ,/*M04*/
 "set preliminary iterations  I"                                                                ,/*V07*/
 "set proband gametes  N1 K1  N2 K2 ..."                                                        ,/*Q02*/
 "set pseudo-priors  X1 X2 ..."                                                                 ,/*V08*/
 "set recombination frequencies X1 ..."                                                         ,/*Q01*/
 "set residual correlations  X12 ..."                                                           ,/*A00*/
 "set residual covariances  X12 ..."                                                            ,/*A00*/
 "set sampler seeds  H1  H2"                                                                    ,/*M03*/
 "set scoreset  K  proband gametes  N1 K1  N2 K2 ..."                                           ,/*Q02*/
 "set scoreset  K  window patterns  L1 ..."                                                     ,/*Q03*/
 "set sequential imputation proposals every  I  iterations"                                     ,/*V06*/
 "set test position window  I"                                                                  ,/*Q05*/
 "set traits  J1 ...  additive variances  X1 ..."                                               ,/*K05*/
 "set trait data discrete"                                                                      ,/*S03*/
 "set trait data discrete with liability"                                                       ,/*S04*/
 "set trait data genotypic"                                                                     ,/*S02*/
 "set trait data quantitative"                                                                  ,/*S05*/
 "set traits  J1 ...  frequencies  X1 ..."                                                      ,/*K02*/
 "set traits  J1 ...  genotype means  X1 ..."                                                   ,/*K04*/
 "set traits  J1 ... residual variances  X1 ..."                                                ,/*K06*/
 "set trait seeds  H1  H2"                                                                      ,/*M02*/
 "set unaffected individuals  N1 N2 ..."                                                        ,/*N03*/
 "set window patterns  L1 ..."                                                                  ,/*Q03*/
 "simulate chromosome  I  markers  J"                                                           ,/*A04*/
 "simulate chromosome  I  markers  J  traits  K"                                                ,/*A06*/
 "simulate chromosome  I  markers  J  using inheritance"                                        ,/*A16*/
 "simulate chromosome  I  markers  J  using trait"                                              ,/*A17*/
 "simulate markers  J"                                                                          ,/*A04*/
 "simulate markers  J  traits  K"                                                               ,/*A06*/
 "simulate markers  J  using inheritance"                                                       ,/*A16*/
 "simulate markers  J  using trait"                                                             ,/*A17*/
 "simulate unlinked traits  K1 ..."                                                             ,/*A08*/
 "start additive correlations  X12 ..."                                                         ,/*L05*/
 "start additive covariances  X12 ..."                                                          ,/*L05*/
 "start additive variances  X1 ..."                                                             ,/*L03*/
 "start residual correlations  X12 ..."                                                         ,/*L06*/
 "start residual covariances  X12 ..."                                                          ,/*L06*/
 "start residual variances  X1 ..."                                                             ,/*L04*/
 "start trait  I  effect  J  X1 ..."                                                            ,/*L02*/
 "start trait  I  mean  X"                                                                      ,/*L01*/
 "use full EM"                                                                                  ,/*T05*/
 "use locus-by-locus sampling for setup"                                                        ,/*V02*/
 "use partitioned EM"                                                                           ,/*T05*/
 "use sequential imputation for setup"                                                          ,/*V02*/
 "use  I  sequential imputation realizations for setup"                                         ,/*V04*/
