/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/*************************************************************************

  name: permute()

  Installed as separate routine; 6/1/93  ; EAT

**************************************************************************/

#include "rans.h"

/* randomly permute integer array of length n ( from 0 to n - 1 )         */

void permute (int *ab, int n)
{
   int   j, k, tt;
   for (k = n - 1; k > 0; --k)
   {
      j = rans () * k;
      tt = ab[j];
      ab[j] = ab[k];
      ab[k] = tt;
   }
}
