/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#include "stuff.h"

double gendist (double theta)
{
   if (theta >= 0.5)
      return (1000000.0);
   if (theta < 0.0)
      return (0.0);
   else
      return (-0.5 * log (1.0 - theta - theta));
}

double recomb (double dd)
{
   if (dd >= 0.0)
      return (0.5 * (1.0 - exp (-dd - dd)));
   else
      return (0.0);
}
